Subject: Re: [ntpwg] Authentication issues for control messages

From: Mark Atwood <[email-masked]>
Date: Thu, 02 Mar 2017 15:53:41 +0000

Hello Ulrich

You can get those files from the the NTPsec repo via
git clone [email-masked]:NTPsec/ntpsec.git

Learn more about NTPsec at https://ntpsec.org/ and https://gitlab.com/NTPsec

..m

On Thu, Mar 2, 2017 at 2:09 AM Eric S. Raymond <[email-masked]> wrote:

> Ulrich Windl <[email-masked]>
> > I had written a tool (in Perl) to query ntpd via mode 6 control requests
> > (and mode 3 client requests) when I decided to implement authentication
> > (MAC).
> > The first issue is the lack of proper specification of the MAC. I wanted
> to
> > implement symmetric MD5 keys only, but even that showed to be poorly
> > specified:
>
> You might find a look at pylib/packet.py in the NTPsec distribution
> interesting; also, docs/mode6.txt.  You are unfortunately correct that
> this is not described at all clearly in the RFCS or the documentation
> shipped with the NTF implementation; I had to reverse-engineer a more
> exact description by looking at code.
> --
>                 <a href="http://www.catb.org/~esr/">Eric S. Raymond</a>
>
> Please consider contributing to my Patreon page at
> https://www.patreon.com/esr
> so I can keep the invisible wheels of the Internet turning. Give
> generously -
> the civilization you save might be your own.
>
>
_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg